org.apache.uima.analysis_engine.impl

## Class MultiThreadCoordination.MultiThreadInfo

- java.lang.Object
- - org.apache.uima.analysis_engine.impl.MultiThreadCoordination.MultiThreadInfo

- Enclosing class:
    MultiThreadCoordination

      public class MultiThreadCoordination.MultiThreadInfo
      extends Object

  info per thread *

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `from_high_prty_run_to_low_prty_runf___ra()`
    `void` | `from_high_prty_run_to_waitf___wa()`
    `void` | `from_low_pri_pending_wait_to_barrier_wait___ba()`
    `void` | `from_low_pri_pending_wait_to_hi_prty_run()`
    `void` | `from_low_pri_pending_wait_to_wait___wa()`
    `void` | `from_low_prty_run_end___rr()`
    `void` | `from_low_prty_run_to_barrier_waitb___rr_ba()`
    `void` | `from_low_prty_run_to_high_prty_run___rr()`
    `void` | `from_low_prty_run_to_waitb___wa_rr()`
    `void` | `from_low_prty_wait_to_low_prty_run___wr_ra()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from_low_pri_pending_wait_to_wait___wa

          public void from_low_pri_pending_wait_to_wait___wa()

    - #### from_low_prty_run_to_barrier_waitb___rr_ba

          public void from_low_prty_run_to_barrier_waitb___rr_ba()

    - #### from_low_pri_pending_wait_to_barrier_wait___ba

          public void from_low_pri_pending_wait_to_barrier_wait___ba()

    - #### from_high_prty_run_to_low_prty_runf___ra

          public void from_high_prty_run_to_low_prty_runf___ra()

    - #### from_high_prty_run_to_waitf___wa

          public void from_high_prty_run_to_waitf___wa()

    - #### from_low_prty_wait_to_low_prty_run___wr_ra

          public void from_low_prty_wait_to_low_prty_run___wr_ra()

    - #### from_low_prty_run_to_high_prty_run___rr

          public void from_low_prty_run_to_high_prty_run___rr()

    - #### from_low_prty_run_to_waitb___wa_rr

          public void from_low_prty_run_to_waitb___wa_rr()

    - #### from_low_pri_pending_wait_to_hi_prty_run

          public void from_low_pri_pending_wait_to_hi_prty_run()

    - #### from_low_prty_run_end___rr

          public void from_low_prty_run_end___rr()

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.